pkcreatect(1)

NAME
pkcreatect - program to create and import colour table to GTiff image

SYNOPSIS
\FCpkcreatect\F[]
\FC-i\F[] input \FC-o\F[] output [\FC-ct\F[] colortable | \FC-min\F[] value \FC-max\F[] value] [options] [advanced options]

DESCRIPTION
pkcreatect is a utility to include a color table to a raster dataset. You can either define an existing color table (ASCII text file) with the option \FC-ct\F[] or define a minimum (\FC-min\F[]) and maximum (\FC-max\F[]) value.

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input image

\FC-o\F[] filename, \FC--output\F[] filename
    output classification image

\FC-ct\F[] filename, \FC--ct\F[] filename
    colour table in ASCII format having 5 columns: id R G B ALFA (0: transparent, 255: solid)

\FC-min\F[] number, \FC--min\F[] number
    minimum value

\FC-max\F[] number, \FC--max\F[] number
    maximum value

options

\FC-g\F[], \FC--grey\F[]
    grey scale

\FC-of\F[] format, \FC--oformat\F[] format
    Output image format (see also gdal_translate(1)).

\FC-co\F[] option, \FC--co\F[] option
    Creation option for output file. Multiple options can be specified.

\FC-d\F[] description, \FC--description\F[] description
    Set image description

\FC-v\F[], \FC--verbose\F[]
    verbose

Advanced options

\FC-l\F[] filename, \FC--filename\F[] filename
    Create legend as png file

\FC-dim\F[] cols \FC-dim\F[] rows, \FC--dim\F[] cols \FC--dim\F[] rows
    number of columns and rows in legend.

EXAMPLE
Attach a color table to image with values between 0 and 50

\FC
pkcreatect -i image.tif -o image_ct.tif -min 0 -max 50
      \F[]

Attach a grey scale "color" table to image with values between 0 and 100 and create a legend image (annotation needs to be drawn manually)

\FC
pkcreatect -i image.tif -o image_ct.tif -min 0 -max 100 -l legend.tif -g
      \F[]

Attach a predefined color table to \FCimage.tif\F[]. The colortable has 5 entries for the values 0 (black), 1 (red), 2 (green), 3 (blue) and 4 (grey)

\FC
cat colortable.txt

0 0 0 0 255
1 255 0 0 255
2 0 255 0 255
3 0 0 255 255
4 100 100 100 255

pkcreatect -i image.tif -o image_ct.tif -ct colortable.txt
      \F[]

Remove the color table from an image

\FC
pkcreatect -i image.tif -o image_noct.tif -ct none
      \F[]